Loading...
Searching...
No Matches
cxx::Weak_ref_base Class Reference

Generic (base) weak reference to some object. More...

`#include <weak_ref>`

Inheritance diagram for cxx::Weak_ref_base:
Collaboration diagram for cxx::Weak_ref_base:

## Data Structures

struct | List
| The list type for keeping all weak references to an object. More...

## Additional Inherited Members

Public Member Functions inherited from cxx::H_list_item_t< Weak_ref_base >
| H_list_item_t ()
| Constructor.
| ~H_list_item_t () noexcept
| Destructor.

## Detailed Description

Generic (base) weak reference to some object.

A weak reference is a reference that gets reset to NULL when the object shall be deleted. All weak references to the same object are kept in a linked list of weak references.

For typed weak references see cxx::Weak_ref.

Definition at line 24 of file weak_ref.

The documentation for this class was generated from the following file:

- l4/cxx/weak_ref